Create one affected item

post

/fscmRestApi/resources/11.13.18.05/newItemRequests/{NewItemRequestId}/child/newItemRequestAffectedItems

Request

Path Parameters
  • The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
  • Contains one of the following values: true or false. If true, the server performs an Upsert operation instead of a Create operation. During an Upsert operation, the server attempts to find an existing resource that matches the payload. If a match is found, the server updates the existing resource instead of creating a new one. If not found or false (default), the server performs a Create operation. Note that the Upsert operation isn't supported for date-effective REST resources.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : New Item Request Line Attachments
Type: array
Title: New Item Request Line Attachments
The New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request.
Show Source
Nested Schema : New Item Request Line Translations
Type: array
Title: New Item Request Line Translations
An array of one or more instances which holds translatable values.
Show Source
Nested Schema : schema
Type: object
Show Source
Nested Schema : newItemRequests-newItemRequestAffectedItems-newItemRequestLineTranslations-item-post-request
Type: object
Show Source
Back to Top

Response

Supported Media Types

Default Response

The following table describes the default response for this task.
Headers
  • If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
  • The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Body ()
Root Schema : newItemRequests-newItemRequestAffectedItems-item-response
Type: object
Show Source
Nested Schema : New Item Request Line Attachments
Type: array
Title: New Item Request Line Attachments
The New Item Request attachments of Affected Items resource contains details of the items attachments in the new item request.
Show Source
Nested Schema : New Item Request Line Translations
Type: array
Title: New Item Request Line Translations
An array of one or more instances which holds translatable values.
Show Source
Nested Schema : newItemRequests-newItemRequestAffectedItems-attachments-item-response
Type: object
Show Source
  • Title: Asynchronous Upload Tracker Id
    Asynchronous tracker ID value for the affected item attachment on a new item request.
  • Title: Attached Document Id
    Attached document ID for the affected item attachment on a new item request.
  • Title: Category
    Maximum Length: 30
    Category name for the affected item attachment on a new item request.
  • Title: Checked Out By
    The user who has checked out the new item request affected items attachment from the repository.
  • Title: Shared
    Content repository file shared value for the affected item attachment on a new item request.
  • Title: Created By
    Read Only: true
    Maximum Length: 255
    User who created the affected item attachment on a new item request.
  • Title: Created By User Name
    Read Only: true
    Name of the user who created the affected item attachment on a new item request.
  • Title: Creation Date
    Read Only: true
    Creation date of the affected item attachment on a new item request.
  • Title: Type
    Maximum Length: 30
    Default Value: FILE
    Data type code for the affected item attachment on a new item request.
  • Type of data for the affected item attachment on a new item request.
  • Title: Description
    Maximum Length: 255
    Description of the affected item attachment on a new item request.
  • Maximum Length: 255
    DM (Document Management) document ID for the affected item attachment on a new item request.
  • Title: Dm Folder Path
    Maximum Length: 1000
    DM folder path for the affected item attachment on a new item request.
  • Maximum Length: 255
    DM version number for the affected item attachment on a new item request.
  • Read Only: true
    Maximum Length: 255
    Document preview value for the affected item attachment on a new item request.
  • Title: DownloadInfo
    Download info for the affected item attachment on a new item request.
  • Title: Error Status Code
    Error status code for the affected item attachment on a new item request.
  • Title: Error Status Message
    Error status message for the affected item attachment on a new item request.
  • Title: Expiration Date
    Expiration data for the affected item attachment on a new item request.
  • Title: File Contents
    File contents of the affected item attachment on a new item request.
  • Title: File Name
    Maximum Length: 2048
    File name of the affected item attachment on a new item request.
  • Title: File Url
    File URL of the affected item attachment on a new item request.
  • Title: File Web Image
    Read Only: true
    File web image for the affected item attachment on a new item request.
  • Title: Last Update Date
    Read Only: true
    Last update date of the affected item attachment on a new item request.
  • Title: Last Updated By
    Read Only: true
    Maximum Length: 255
    User who last updated the affected item attachment on a new item request.
  • Title: Last Updated By User
    Read Only: true
    Name of the user who last updated the affected item attachment on a new item request.
  • Links
  • Title: PostProcessingAction
    Postprocessing action for the affected item attachment on a new item request.
  • Title: Title
    Title of the affected item attachment on a new item request.
  • Title: Uploaded File Content Type
    Uploaded file content type for the affected item attachment on a new item request.
  • Title: File Size
    Uploaded file length for the affected item attachment on a new item request.
  • Title: Uploaded File Name
    Uploaded file name for the affected item attachment on a new item request.
  • Title: Uploaded Text
    Uploaded text for the affected item attachment on a new item request.
  • Title: Uri
    Maximum Length: 4000
    URI for the affected item attachment on a new item request.
  • Title: Url
    Maximum Length: 4000
    URL for the affected item attachment on a new item request.
  • Title: User Name
    Read Only: true
    Maximum Length: 255
    Name for the affected item attachment on a new item request.
Nested Schema : newItemRequests-newItemRequestAffectedItems-newItemRequestLineTranslations-item-response
Type: object
Show Source
Back to Top

Examples

This example describes how to create an affected item.

Example cURL Command

Use the following cURL command to submit a request on the REST resource.

curl -u username:password -X POST -H "Content-Type:application/vnd.oracle.adf.resourceitem+json" -d 'request payload' 
"https://servername/fscmRestApi/resources/version/newItemRequests/NewItemRequestId/child/newItemRequestAffectedItems"

Example Request Body

The following example includes the contents of the request body in JSON format. You replace the request payload in the cURL command with the contents of the Example Request Body. The request payload specifies attribute values that the command will use in the record that it creates.

{
	"ItemId": 300100151781646,
	"ItemRevisionId": 300100151781666
}

Example Response Body

The following example includes the contents of the response body in JSON format:

{
	"ItemNumber": "PLM_ZCH_020",
	"ItemClassCode": "300100039973349",
	"Description": "PLM_ZCH_020 DES",
	"CreatedBy": "PIMQA",
	"CreationDate": "2018-12-06T23:21:13-08:00",
	"LastUpdateDate": "2018-12-06T23:21:16.002-08:00",
	"LastUpdatedBy": "PIMQA",
	"ItemClass": null,
	"ItemStatus": null,
	"LineStatus": null,
	"NewItemRequestLineId": 300100151858546,
	"ItemStatusCode": "Active",
	"LineStatusCode": 1,
	"ItemRevisionId": 300100151781666,
	"ItemId": 300100151781646,
	"EffectiveDate": null,
	"NewItemRequestId": 300100151809560,
	"links": [
	{
		"rel": "self",
		"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151809560/child/newItemRequestAffectedItems/00030000000EACED0005770800000000000000CC0000000EACED00057708000110F082F2D5720000000EACED00057708000110F082F1A90E",
		"name": "newItemRequestAffectedItems",
		"kind": "item",
		"properties": {
			"changeIndicator": "ACED0005737200136A6176612E7574696C2E41727261794C6973747881D21D99C7619D03000149000473697A65787000000001770400000001737200116A6176612E6C616E672E496E746567657212E2A0A4F781873802000149000576616C7565787200106A6176612E6C616E672E4E756D62657286AC951D0B94E08B02000078700000000178"
		}
	},
	{
		"rel": "canonical",
		"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151809560/child/newItemRequestAffectedItems/00030000000EACED0005770800000000000000CC0000000EACED00057708000110F082F2D5720000000EACED00057708000110F082F1A90E",
		"name": "newItemRequestAffectedItems",
		"kind": "item"
	},
	{
		"rel": "parent",
		"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151809560",
		"name": "newItemRequests",
		"kind": "item"
	},
	{
		"rel": "lov",
		"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151809560/child/newItemRequestAffectedItems/00030000000EACED0005770800000000000000CC0000000EACED00057708000110F082F2D5720000000EACED00057708000110F082F1A90E/lov/ItemClassPVO1",
		"name": "ItemClassPVO1",
		"kind": "collection"
	},
	{
		"rel": "lov",
		"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151809560/child/newItemRequestAffectedItems/00030000000EACED0005770800000000000000CC0000000EACED00057708000110F082F2D5720000000EACED00057708000110F082F1A90E/lov/LookupPVO1",
		"name": "LookupPVO1",
		"kind": "collection"
	},
	{
		"rel": "lov",
		"href": "https://servername/fscmRestApi/resources/version/newItemRequests/300100151809560/child/newItemRequestAffectedItems/00030000000EACED0005770800000000000000CC0000000EACED00057708000110F082F2D5720000000EACED00057708000110F082F1A90E/lov/ItemStatusPVO1",
		"name": "ItemStatusPVO1",
		"kind": "collection"
	}
	]
}
Back to Top